Last modified: 2014-09-26 14:12:21 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 60317 - Implement reasonably usable skin modification user interface in MediaWiki core
Implement reasonably usable skin modification user interface in MediaWiki core
Status: NEW
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: Future release
Assigned To: Nobody - You can work on this!
:
: 62899 (view as bug list)
Depends on: 61099
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-22 01:34 UTC by MZMcBride
Modified: 2014-09-26 14:12 UTC (History)
13 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MZMcBride 2014-01-22 01:34:01 UTC
From 51912 comment 22 by Quim Gil:

I don't think we have any problem that Wordpress, Drupal, etc haven't addressed
yet. Skins should be about skinning, not about providing extra functionality.
As long as modifying the Vector skin is a pain, most MediaWikis will look
alike.

Good skinning includes:

* Changing typefaces and font sizes
* Changing colors and backgrounds
* Changing variable/fixed width
* Changing the position of navigation bars horizontal or vertical left/right
* Customizing the footer

Technically, MediaWiki and vector allow you to do this... In practice doing
this and maintaining your changes is a pain that almost nobody wants to go
through.

I agree that having skins with different functionality for plain MediaWiki and
WMF sites would be really troublesome for many reasons. Good skinning +
extensions available to anybody should suffice.
Comment 1 MZMcBride 2014-01-22 01:37:49 UTC
I think I like this idea a lot.

What do you think about a Special page (Special:CustomizeAppearance) or something that includes drop-down menus and a preview of what the changes will look like. You could use it to do basic and straightforward customizations such as changing font color or header style or font family site-wide. The Special page could store the customizations in the database and it would simply generate the necessary CSS and output it below the default skin CSS (Vector, for now).

Is this similar to what you had in mind?
Comment 2 Jared Zimmerman (WMF) 2014-01-22 01:57:56 UTC
Yes, but as an extension, e.g. it would not be enabled on foundation wikis but perfect for 3rd party installs of mediawiki. 

I would also expect this same UI to be where extensions are enabled as well. 

one other major think would be to customize site logo, including upload

It would be nice to allow for a single cue color that gets applied to lots of elements rather than having to specify a bunch of colors individually, something similar to tumblrs configuration https://www.dropbox.com/s/h0p2tq06n6jj4a2/Screenshot%202014-01-21%2017.57.22.png
Comment 3 Quim Gil 2014-01-22 02:14:47 UTC
"Themable" icons are also very effective in UI differentiation. The same goes for the styling of buttons.

Offering a package with all these configurations isn't trivial, but there is probably some low-hanging fruit to get started (e.g. reading the icons from a site-specific directory before falling back to the general Vector directory).

On a related note, this morning I was celebrating [[mw:Winter]] because it proposes to get rid of the blue lines that Vector has so deeply hardcoded. Little changes like this can enable a lot of flexibility for branding and UI customization, not just for Wikimedia but for everybody.
Comment 4 Matthew Flaschen 2014-01-22 02:20:30 UTC
It could be in core, but perhaps disabled on WMF wikis (or access restricted to interfaceeditors or something).
Comment 5 Chad H. 2014-01-22 02:23:20 UTC
(In reply to comment #2)
> Yes, but as an extension, e.g. it would not be enabled on foundation wikis
> but
> perfect for 3rd party installs of mediawiki. 
> 
> I would also expect this same UI to be where extensions are enabled as well. 
> 
> one other major think would be to customize site logo, including upload
> 

That's getting way out of scope, and starts touching on things like config management and extension installation.
Comment 6 Matthew Flaschen 2014-01-22 21:45:05 UTC
It was originally a request to do it in core, though an extension is also possible.
Comment 7 Quim Gil 2014-01-22 21:58:50 UTC
Maybe this has to be an extension as part of the development and testing process, I don't know. What is clear is that such functionality would be desired by most MediaWiki users just out of the box.

I imagine the progress in this area being done more through isolated tasks (reports) that help integrating this functionality in core rather than the development of a full extension offering all this functionality at once. Then again I'm not a developer that will be working on this, so never mind.  :)
Comment 8 MZMcBride 2014-01-23 09:30:29 UTC
Yes, I believe this should be in core.
Comment 9 Jared Zimmerman (WMF) 2014-01-24 05:20:35 UTC
This placeholder page was created today based on on a conversation at the arch summit https://www.mediawiki.org/wiki/CustomizationExtension lets use it to start capturing requirement for this feature.
Comment 10 Quim Gil 2014-03-18 05:51:06 UTC
Related, a GSoC project:

https://www.mediawiki.org/wiki/User:Jack_Phoenix/A_modern,_scalable_and_attractive_skin_for_MediaWiki_(GSoC_2014_proposal)

"Much like many WordPress themes, the skin will also provide some different color schemes and other CSS customizations (themes, as they're called in the MediaWiki world) for site administrators to choose from. This is something that no core MediaWiki skin currently provides, despite being an easy way to visually distinguish your site from all the other sites that use the same underlying software."
Comment 11 Bill Traynor 2014-03-18 11:52:26 UTC
(In reply to Quim Gil from comment #10)
> Related, a GSoC project:
> 
> https://www.mediawiki.org/wiki/User:Jack_Phoenix/A_modern,
> _scalable_and_attractive_skin_for_MediaWiki_(GSoC_2014_proposal)

This page has no content on it.

> 
> "Much like many WordPress themes, the skin will also provide some different
> color schemes and other CSS customizations (themes, as they're called in the
> MediaWiki world) for site administrators to choose from. This is something
> that no core MediaWiki skin currently provides, despite being an easy way to
> visually distinguish your site from all the other sites that use the same
> underlying software."
Comment 12 Andre Klapper 2014-03-18 12:59:18 UTC
(In reply to Bill Traynor from comment #11)
> This page has no content on it.

Make sure the last letter of the URL is a bracket:  )
Comment 13 Waldir 2014-09-25 21:13:06 UTC
*** Bug 62899 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links